For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETList canvas areas
      • POSTCreate a canvas area
      • GETGet a canvas area
      • PATCHUpdate a canvas area
      • DELDelete a canvas area
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceCanvas Areas

List canvas areas

GET
https://api.x.flatfile.com/v1/canvas-areas
GET
/v1/canvas-areas
$curl https://api.x.flatfile.com/v1/canvas-areas \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "id",
5 "canvasId": "canvasId",
6 "config": {
7 "key": "value"
8 },
9 "metadata": {
10 "key": "value"
11 },
12 "layout": "split",
13 "overlay": {
14 "key": "value"
15 },
16 "type": "mapping",
17 "position": "top",
18 "visibility": "visible",
19 "createdAt": "2024-01-15T09:30:00Z",
20 "updatedAt": "2024-01-15T09:30:00Z",
21 "parentId": "parentId",
22 "deletedAt": "2024-01-15T09:30:00Z"
23 },
24 {
25 "id": "id",
26 "canvasId": "canvasId",
27 "config": {
28 "key": "value"
29 },
30 "metadata": {
31 "key": "value"
32 },
33 "layout": "split",
34 "overlay": {
35 "key": "value"
36 },
37 "type": "mapping",
38 "position": "top",
39 "visibility": "visible",
40 "createdAt": "2024-01-15T09:30:00Z",
41 "updatedAt": "2024-01-15T09:30:00Z",
42 "parentId": "parentId",
43 "deletedAt": "2024-01-15T09:30:00Z"
44 }
45 ],
46 "pagination": {
47 "currentPage": 1,
48 "pageCount": 1,
49 "totalCount": 1
50 }
51}
Returns a list of canvas areas filtered by canvas, space, or environment
Was this page helpful?
Previous

Create a canvas area

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

X-Disable-Hooks"true"Required

Query parameters

canvasIdstringOptional
ID of the canvas to filter areas by
parentIdstringOptional
ID of the parent canvas area to filter by
spaceIdstringOptional
ID of the space to filter areas by
environmentIdstringOptional
ID of the environment to filter areas by
pageSizeintegerOptional

Number of areas to return in a page (default 20)

pageNumberintegerOptional
Based on pageSize, which page of areas to return

Response

This endpoint returns an object.
datalist of objects
paginationobject
pagination info

Errors

400
Bad Request Error